cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Docker Installation Error

Newbie

Docker Installation Error

Hi,

I am new to using support, so if this is the wrong place, please let me know.

We are running docker 17.06.1-ce, build 874a737 and when we get to the "proceed with installation" question, we say yes and then we get an error stating we need to use Docker 17.03 or higher, which as you can see we are doing. How do we overcome this problem?

Thanks.

Tags (1)
6 REPLIES 6

Re: Docker Installation Error

Hello, Ravi.

What OS are you installing Docker in?

Thanks,

-- Craig A.

Re: Docker Installation Error

Hi Craig,


CentOS 7.

Let me know if you need any additional information.

Thanks.

Re: Docker Installation Error

Hi Ravi, are you installing ThingWorx or ThingWorx Analytics Server?

I know a TWA docker installation article stating the same error might apply to your problem.

https://support.ptc.com/appserver/cs/view/solution.jsp?n=CS265007&posno=3&q=docker%20version&source=...

It mentioned that you need to install a Docker before running the install file, and for TWA the Docker version is advised to be 17.05.0, later version 17.06 is not accepted

Re: Docker Installation Error

Hi Ryan,

We are installing nstaller-twxfoundationPostgres-enterprise-linux-x64.run. inside a container. We tried docker 17.07 and 17.06 to no avail. The install script states 17.03 or higher so we didn't expect errors with .07 and .06.

Are you saying 17.05 is required for TWX? If so, we'll try it. PTC should update the install script to reflect that.

Thanks.

Re: Docker Installation Error

Hello, there are always some small problems within the installation guide documentations, and we would create articles to give additional information to that. I'm sure there is a upper limit for the docker version for TWA installation, but didn't know if that also applies for TWX installation.

By the way, have you installed a Docker ToolBox or a Docker CE? If you want to run the TWX Docker installation .exe file, you need such a Docker software preinstalled.

Re: Docker Installation Error

Hi Ryan,

We are using Docker Community Edition (ce) on Linux. We're not working with Windows Server.

Do you know when there will be an official release of TWX for CentOS?